Bug 1469540 - [GSS](6.4.z) Redistribution Future does not get deleted if it gets canceled before it's run
[GSS](6.4.z) Redistribution Future does not get deleted if it gets canceled b...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS (Show other bugs)
6.4.13
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.18
Assigned To: Clebert Suconic
Peter Mackay
:
Depends On:
Blocks: 1471938 eap6418-payload 1464499 1469569
  Show dependency treegraph
 
Reported: 2017-07-11 09:02 EDT by Tom Ross
Modified: 2017-12-06 13:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1469569 (view as bug list)
Environment:
Last Closed: 2017-12-06 13:30:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1555 Blocker Open Redistribution Future does not get deleted if it gets canceled before it's run 2018-06-06 12:12 EDT
JBoss Issue Tracker JBEAP-12058 Critical New (7.0.z) Redistribution Future does not get deleted if it gets canceled before it's run 2018-06-06 12:12 EDT
JBoss Issue Tracker JBEAP-12060 Blocker Verified (7.1.0) Redistribution Future does not get deleted if it gets canceled before it's run 2018-06-06 12:12 EDT
Red Hat Knowledge Base (Article) 3110141 None None None 2017-07-25 03:16 EDT

  None (edit)
Description Tom Ross 2017-07-11 09:02:14 EDT
Redestributor Future does not get deleted if it gets canceled before it's run. It results in massive memory leak.
Comment 3 Jiří Bílek 2017-10-19 08:59:25 EDT
Verified with EAP 6.4.18.CP.CR1
Comment 4 Petr Penicka 2017-12-06 13:30:01 EST
Released on Nov 14 2017 as part of EAP 6.4.18.

Note You need to log in before you can comment on or make changes to this bug.